Page MenuHomePhabricator

Introduce MinidumpEnums.def textual header
AbandonedPublic

Authored by labath on Mar 5 2019, 8:26 AM.

Details

Summary

The goal of this header is to reduce code duplication in code dealing
with various minidump constants (and having that code break when new
constants are added). It operates the same way as other llvm .def files:

  • a user defines an appropriate macro which specifies the set of constants he wants to work with, and what he wants to do with it
  • the user includes the .def file, which will invoke the user-defined macro for all known constants in the given set.

Right now, this defines only three constant sets, which correspond to
the ones I needed in followup patches, but others can (and probably
will) be easily added.

Event Timeline

labath created this revision.Mar 5 2019, 8:26 AM
JDevlieghere accepted this revision.Mar 5 2019, 8:31 AM
This revision is now accepted and ready to land.Mar 5 2019, 8:31 AM
clayborg accepted this revision.Mar 5 2019, 8:41 AM
amccarth accepted this revision.Mar 6 2019, 11:42 AM
amccarth added a subscriber: amccarth.
amccarth added inline comments.
include/lldb/Formats/MinidumpEnums.def
91

I know you're just moving code, but the comment here is a tiny bit misleading. Win32S was an extension to Windows 3.1 that let you use much of the then-new 32-bit API even though the underlying system was still 16-bit.

labath abandoned this revision.Mar 21 2019, 3:54 AM

This code will be in llvm now, so this cl is dead.